Package picard.arrays

# Class VcfToAdpc

java.lang.Object
picard.cmdline.CommandLineProgram
picard.arrays.VcfToAdpc

@DocumentedFeature public class VcfToAdpc extends CommandLineProgram
A simple program to convert a Genotyping Arrays VCF to an ADPC file (Illumina intensity data file).

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`NUM_MARKERS_FILE`
`File`
`OUTPUT`
`File`
`SAMPLES_FILE`
`List<File>`
`VCF`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`VcfToAdpc()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VCF

@Argument(doc="One or more VCF files containing array intensity data.") public List<File> VCF

### OUTPUT

@Argument(shortName="O", doc="The output (adpc.bin) file to write.") public File OUTPUT

### SAMPLES_FILE

@Argument(shortName="SF", doc="A text file into which the names of the samples will be written. These will be in the same order as the data in the adpc.bin file.") public File SAMPLES_FILE

### NUM_MARKERS_FILE

@Argument(shortName="NMF", doc="A text file into which the number of loci in the VCF will be written. This is useful for calling verifyIDIntensity.") public File NUM_MARKERS_FILE

## Constructor Details

### VcfToAdpc

public VcfToAdpc()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.